diff -ruN vdr-1.3.47/CONTRIBUTORS vdr-1.3.48/CONTRIBUTORS
--- vdr-1.3.47/CONTRIBUTORS	2006-04-17 14:18:50.000000000 +0200
+++ vdr-1.3.48/CONTRIBUTORS	2006-04-23 13:43:54.000000000 +0200
@@ -1,5 +1,5 @@
 Tons of suggestions, bugreports, patches and other contributions have been
-provided by the people on the 'linux-dvb' and 'vdr' mailing lists.
+provided by the people on the 'linux-dvb' and 'vdr' mailing lists
 Special thanks go to the following individuals (if your name is missing here,
 please send an email to kls@cadsoft.de):
 
@@ -48,7 +48,7 @@
 Martin Hammerschmid <martin@hammerschmid.com>
  for suggesting to display the direct channel select input on the OSD
  for suggesting to use the "Blue" button in the main menu to resume replay
- for implementing pege up/down with the "Left" and "Right" keys
+ for implementing page up/down with the "Left" and "Right" keys
  for detecting a deadlock when switching channels via Schedule/Now|Next/Switch
  for adding a missing #include to ringbuffer.c
  for adding a missing 'public' keyword in device.h
@@ -300,7 +300,7 @@
  recordings can be triggered in the default branch
  for pointing out that pesAssembler->Reset() needs to be called between subsequent
  Transfer Modes
- for suggestions that led to the addition of the 'Id' parameter to cAudio::Play().
+ for suggestions that led to the addition of the 'Id' parameter to cAudio::Play()
  for pointing out that MAXDPIDS needs to be to 16 (8xAC3 + 8xDTS)
  for reporting a problem with ensuring there is a current audio track in case there
  is only one track
@@ -377,7 +377,7 @@
  for translating OSD texts to the Finnish language
 
 Jürgen Schmidt <ju@ct.heise.de>
- for fixing a problem with 'in_addr_t' on systems with glibc < 2.2.
+ for fixing a problem with 'in_addr_t' on systems with glibc < 2.2
  for suggesting to optionally allow logging to LOG_LOCALn (n=0..7)
 
 Uwe Freese <mail@uwe-freese.de>
@@ -444,7 +444,7 @@
  for translating OSD texts to the Polish language
 
 Michael Moster <dvb@juelich-gmbh.de>
- for initally reporting the problem with wrong EPG data in the Schedules menu
+ for initially reporting the problem with wrong EPG data in the Schedules menu
  (somehow I had misplaced his message...)
 
 Tobias Kerner <tobschle@gmx.de>
@@ -833,6 +833,7 @@
  for reporting '\n' in an esyslog() call in osd.c
  for reporting missing '&' in the SetAreas() example in PLUGINS.html
  for reporting a memory leak in cString::operator=()
+ for a patch that was used as a base to implement cPlugin::Active()
 
 Malcolm Caldwell <malcolm.caldwell@ntu.edu.au>
  for modifying LOF handling to allow for C-band reception
@@ -883,6 +884,7 @@
  for fixing the "plugins-clean" and "plugins-install" targets in the Makefile
  for suggesting to make the log messages regarding lost lock of devices "info"
  instead of "error"
+ for modifying the German OSD texts to be "less technical"
 
 Manuel Hartl <icecep@gmx.net>
  for suggesting to extend the logging info when starting/stopping timers
@@ -944,7 +946,7 @@
  for translating OSD texts to the Catalanian language
 
 Lars Bläser <LBlaeser@hofheim.de>
- for reporting a bug in EPG bugfix statistics which made log entires for undefined
+ for reporting a bug in EPG bugfix statistics which made log entries for undefined
  channels
 
 Niko Tarnanen <niko.tarnanen@hut.fi>
@@ -973,6 +975,7 @@
  for adding a missing "Button$" for the Timer button and "Key$" in skinclassic.c
  for reporting a bug in handling the color button texts when switching from the
  'Schedule' menu of a channel without EPG info to the 'What's on now' menu
+ for reporting a bug in handling empty titles in cEvent::FixEpgBugs()
 
 Ralf Klueber <ralf.klueber@vodafone.com>
  for reporting a bug in cutting a recording if there is only a single editing mark
@@ -1084,7 +1087,7 @@
  device used by the timer, and the timer needs a different transponder
 
 Manfred Schmidt-Voigt <manfred.schmidt-voigt@mannitec.de>
- for reporting a problem with runnign out of disk space while cutting in case
+ for reporting a problem with running out of disk space while cutting in case
  there are still deleted recordings to remove
 
 Javier Marcet <lists@marcet.info>
@@ -1098,7 +1101,7 @@
  for reporting a hangup in SVDRP when the client disappears without sending QUIT
 
 Sebastian Frei <sebastian@schnapsleichen.de>
- for his support in keeping 'channels.conf' up-to-date.
+ for his support in keeping 'channels.conf' up-to-date
  for suggesting to rename the Makefile target 'plugins-clean' to 'clean-plugins'
 
 Rene Bartsch <ml@bartschnet.de>
@@ -1278,7 +1281,7 @@
  for avoiding unnecessary section filter start/stops
  for pointing out that if one PID can't be added, the whole cDevice::AttachReceiver()
  should fail and all PIDs added so far should be deleted
- for fixing attaching a cPlayer to a cDevice, so that 'Operation not permited'
+ for fixing attaching a cPlayer to a cDevice, so that 'Operation not permitted'
  errors don't occur any more
  for reporting a problem with initialization of the main program loop variables
  with older compiler versions
@@ -1297,7 +1300,7 @@
  when clearing the transfer buffer to avoid overflows
  for adding CMD_SPU_CHG_COLCON to cDvbSpuDecoder::setTime()
  for suggesting to force a new resync after a call to cRemux::Clear()
- for suggestions that led to the addition of the 'Id' parameter to cAudio::Play().
+ for suggestions that led to the addition of the 'Id' parameter to cAudio::Play()
  for removing the "Cleared/PlayPes(NULL, 0)" handling from cTransfer::Action(), since
  this is now done when attaching the player to the device
  for adding DeviceClrAvailableTracks() and DeviceSetCurrentAudioTrack() to cPlayer
@@ -1407,6 +1410,8 @@
  case a replay is active
  for reporting a problem with plugins that report errors when VDR is run with the
  --help or --version option
+ for suggesting to add a warning about plugins that don't honor APIVERSION in their
+ Makefile
 
 Sven Kreiensen <svenk@kammer.uni-hannover.de>
  for his help in keeping 'channels.conf.terr' up to date
@@ -1489,7 +1494,7 @@
 
 Patrick Gleichmann <patrick@feedface.com>
  for fixing the default quality value when grabbing a JPEG image
- for suggestiong a modified page scrolling behaviour
+ for suggesting a modified page scrolling behaviour
  for suggesting wrapping around in menu lists
 
 Achim Tuffentsammer <a.tuffentsammer@web.de>
@@ -1505,6 +1510,7 @@
 
 Walter Koch <koch@u32.de>
  for adding channels for DVB-T Düsseldorf and Köln (Germany) to channels.cont.terr
+ for fixing some missing '-' in the German OSD texts
 
 Rolf Groppe <rolf@groppe.de>
  for suggesting to fall back to 'stereo' when switching channels in case the user
@@ -1563,6 +1569,8 @@
  in case it breaks
  for enabling generating a core dump if VDR is run with a different user id
  for reporting an obsolete entry 'S21.5E' in the default 'diseqc.conf'
+ for updating the GPL copies
+ for fixing several spelling errors
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -1623,7 +1631,7 @@
  scan timeout is set to 0
 
 Klaus Heppenheimer <klaus@reel-multimedia.com>
- for reporting a race condition in cTransfer.
+ for reporting a race condition in cTransfer
 
 Thomas Günther <tom1@toms-cafe.de>
  for fixing handling the frame number display if '7' is pressed before the first
@@ -1634,6 +1642,8 @@
  for making the 'new' indicator in the Recordings menu kept up-to-date
  for reporting a crash when setting the time transponder in the Setup menu
  for reporting a bug in the initial setting of the time transponder setup parameter
+ for suggesting to extend the version number reported with the '-V' option to also
+ show the current APIVERSION
 
 David Woodhouse <dwmw2@infradead.org>
  for his help in replacing the get/put_unaligned() macros from asm/unaligned.h with
@@ -1655,6 +1665,8 @@
 Marko Mäkelä <marko.makela@hut.fi>
  for making repeat keys be ignored when waiting for a keypress to cancel an operation
  for reporting that a menu was automatically closed when a replay ends
+ for suggesting to ignore k_Repeat when deciding whether the same key has been
+ pressed in string input fields
 
 Patrick Rother <krd-vdr@gulu.net>
  for reporting a bug in defining timers that only differ in the day of week
@@ -1675,7 +1687,7 @@
 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
  for making VDR use use daemon() instead of fork() to run in daemon mode
  for fixing a possible endless loop in a menu with no selectable items if
- Setup.MenuScrollWrap is true (thanks to Enrico Scholz).
+ Setup.MenuScrollWrap is true (thanks to Enrico Scholz)
 
 Nicolas Huillard <nhuillard@e-dition.fr>
  for translating OSD texts to the French language
@@ -1727,6 +1739,7 @@
  for suggesting to add cMenuEditStrItem::InEditMode()
  for his idea of going directly into the "Edit timer" menu for a timer created
  from the "Schedule" menu in case it starts withing the next two minutes
+ for reporting a problem with a format string in recording.c on 64bit systems
 
 Thiemo Gehrke <tgehrke@reel-multimedia.com>
  for suggesting to add a setup option to turn off the automatic timeout of the
@@ -1838,12 +1851,16 @@
 Tobias Grimm <listaccount@e-tobi.net>
  for suggesting to use geteuid() to check whether VDR is running as user 'root'
 
-Peter Dittmann <peter.dittmann@philips.com>
- for a patch that was used as a base to implement cPlugin::Active()
-
 Helge Lenz <h.lenz@gmx.de>
  for reporting a bug in setting the 'Delta' parameter when calling the shutdown
  script with no active timer
 
 Peter Juszack <vdr@unterbrecher.de>
  for a patch that was used as a base to implement kNext and kPrev
+
+Pierre Briec <pbriec@free.fr>
+ for translating OSD texts to the French language
+
+Werner Schweer <ws@seh.de>
+ for pointing out that the 'z' printf modifier should be used for 'size_t' type
+ arguments
diff -ruN vdr-1.3.47/COPYING vdr-1.3.48/COPYING
--- vdr-1.3.47/COPYING	2002-03-10 11:05:20.000000000 +0100
+++ vdr-1.3.48/COPYING	2006-04-21 16:51:21.000000000 +0200
@@ -2,7 +2,7 @@
 		       Version 2, June 1991
 
  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
@@ -15,7 +15,7 @@
 General Public License applies to most of the Free Software
 Foundation's software and to any other program whose authors commit to
 using it.  (Some other Free Software Foundation software is covered by
-the GNU Library General Public License instead.)  You can apply it to
+the GNU Lesser General Public License instead.)  You can apply it to
 your programs, too.
 
   When we speak of free software, we are referring to freedom, not
@@ -55,7 +55,7 @@
 
   The precise terms and conditions for copying, distribution and
 modification follow.
-
+
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
@@ -110,7 +110,7 @@
     License.  (Exception: if the Program itself is interactive but
     does not normally print such an announcement, your work based on
     the Program is not required to print an announcement.)
-
+
 These requirements apply to the modified work as a whole.  If
 identifiable sections of that work are not derived from the Program,
 and can be reasonably considered independent and separate works in
@@ -168,7 +168,7 @@
 access to copy the source code from the same place counts as
 distribution of the source code, even though third parties are not
 compelled to copy the source along with the object code.
-
+
   4. You may not copy, modify, sublicense, or distribute the Program
 except as expressly provided under this License.  Any attempt
 otherwise to copy, modify, sublicense or distribute the Program is
@@ -225,7 +225,7 @@
 
 This section is intended to make thoroughly clear what is believed to
 be a consequence of the rest of this License.
-
+
   8. If the distribution and/or use of the Program is restricted in
 certain countries either by patents or by copyrighted interfaces, the
 original copyright holder who places the Program under this License
@@ -278,7 +278,7 @@
 POSSIBILITY OF SUCH DAMAGES.
 
 		     END OF TERMS AND CONDITIONS
-
+
 	    How to Apply These Terms to Your New Programs
 
   If you develop a new program, and you want it to be of the greatest
@@ -305,7 +305,7 @@
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 
 Also add information on how to contact you by electronic and paper mail.
@@ -336,5 +336,5 @@
 This General Public License does not permit incorporating your program into
 proprietary programs.  If your program is a subroutine library, you may
 consider it more useful to permit linking proprietary applications with the
-library.  If this is what you want to do, use the GNU Library General
+library.  If this is what you want to do, use the GNU Lesser General
 Public License instead of this License.
diff -ruN vdr-1.3.47/HISTORY vdr-1.3.48/HISTORY
--- vdr-1.3.47/HISTORY	2006-04-17 14:18:54.000000000 +0200
+++ vdr-1.3.48/HISTORY	2006-04-23 13:43:20.000000000 +0200
@@ -2768,7 +2768,7 @@
   driver, together with the endian problem).
 - The new OSD setup parameters "Left" and "Top" can be used to define the top left
   corner of the OSD.
-- The OSD size prameters are now in pixel (as opposed to formerly characters).
+- The OSD size parameters are now in pixel (as opposed to formerly characters).
   When reading a 'setup.conf' file from an older version of VDR, the OSDwidth
   and OSDheight values will be converted to pixel automatically.
 - The OSD is now fully device independent. See the comments in VDR/osd.h and the
@@ -3046,7 +3046,7 @@
 - Added some missing 'const' to cChannel.
 - Added a sample setup for 'DisiCon-4 Single Cable Network' to 'diseqc.conf'
   (thanks to Oliver Endriss).
-- Fixed attaching a cPlayer to a cDevice, so that 'Operation not permited'
+- Fixed attaching a cPlayer to a cDevice, so that 'Operation not permitted'
   errors don't occur any more (thanks to Marco Schlüßler).
 - Fixed a case where the resultBuffer in cRemux ran full before getting a sync.
 - Removed the usleep() call from cDvbPlayer::Action() to make VDR run on NPTL
@@ -3089,7 +3089,7 @@
 - Immediately displaying the new channel info when switching channel groups.
 - Moved the main program loop variables further up to allow compilation with
   older compiler versions (thanks to Marco Schlüßler for reporting this one).
-- Now calling pthread_cond_broadcast() in the desctructor of cCondWait and
+- Now calling pthread_cond_broadcast() in the destructor of cCondWait and
   cCondVar to make sure any sleepers will wake up (suggested by Werner Fink).
   Also using pthread_cond_broadcast() instead of pthread_cond_signal() in
   cCondWait, in case there is more than one sleeper.
@@ -3136,7 +3136,7 @@
   funny characters. Invalid language codes will be stored as "???".
 - The '0' key now toggles the "Day" item in the "Timers" menu between "single
   shot" and "repeating". The keys '1'...'7' can be used to toggle the individual
-  days ('1' is monday). Thanks to Sascha Klek for reporting a problem with the
+  days ('1' is Monday). Thanks to Sascha Klek for reporting a problem with the
   '0' key in the "Day" item of the "Timers" menu.
 
 2004-11-21: Version 1.3.17
@@ -3281,7 +3281,7 @@
   Dino Ravnic).
 - Implemented displaying mandatory subtitles in the SPU decoder (thanks to Marco
   Schlüßler).
-- The setup option "Recording/Record Dobly Digital" has been renamed and moved to
+- The setup option "Recording/Record Dolby Digital" has been renamed and moved to
   "DVB/Use Dolby Digital". It now controls whether Dolby Digital is recorded and
   whether an available DD audio track will appear in the "Audio" menu.
 - Added support for circular polarization (thanks to Jonan Santiago).
@@ -3346,7 +3346,7 @@
 - Fixed masking SubStreamType in cDevice::PlayPesPacket() (thanks to Werner Fink
   for pointing out this one).
 - The new function cPlugin::Stop() shall be used to stop any background activities
-  of a plugin. Previously this was done in the plugin's desctructor, but it is
+  of a plugin. Previously this was done in the plugin's destructor, but it is
   better to do this in a dedicated function that can be called early when shutting
   down.
 - Moved the call to SetAudioChannel(0) into cDevice::ClrAvailableTracks() to have it
@@ -3505,7 +3505,7 @@
 - Removed scaling coordinates in letterbox mode from cDvbSpu - the DVD plugin, which
   was the only one needing this, doesn't need it any more (thanks to Marco Schlüßler).
 - No longer retuning or restarting a recording if only the language code of an
-  audio or dolby PID changes.
+  audio or Dolby PID changes.
 - Now preferring budget cards when selecting a DVB device for recording.
 - Recordings now avoid zero sized video data files (thanks to Wolfgang Fitz).
 - Some rearrangements in cDvbPlayer::Action() to avoid lockups on NPTL systems
@@ -4525,7 +4525,7 @@
 - Updated the Danish OSD texts (thanks to Mogens Elneff).
 - The new function cPlugin::Active() can be used by a plugin to indicate that it
   is still busy and the system should not shut down or restart (based on a patch
-  from Peter Dittmann). See PLUGINS.html for details.
+  from Sascha Volkenandt). See PLUGINS.html for details.
 - Fixed setting the 'Delta' parameter when calling the shutdown script with
   no active timer (reported by Helge Lenz).
 - In order to make sure that plugins are compiled with the same DVB driver header
@@ -4619,3 +4619,32 @@
 - The new function cPlugin::MainThreadHook() can be used by plugins to perform
   actions in the context of the main program thread. Use this function with great
   care and only of you absolutely have to! See also PLUGINS.html.
+
+2006-04-23: Version 1.3.48
+
+- Updated the GPL copies (thanks to Ville Skyttä).
+- Fixed several spelling errors (thanks to Ville Skyttä).
+- Updated the Polish OSD texts (thanks to Jaroslaw Swierczynski).
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
+- Updated the French OSD texts (thanks to Pierre Briec).
+- Updated the Estonian OSD texts (thanks to Arthur Konovalov).
+- Updated the Romanian OSD texts (thanks to Lucian Muresan).
+- Updated the Danish OSD texts (thanks to Mogens Elneff).
+- Updated the Russian OSD texts (thanks to Oleg Roitburd).
+- Updated the Slovenian OSD texts (thanks to Matjaz Thaler).
+- Fixed wrong credits for the patch that was used to implement cPlugin::Active().
+- Simplified the 'grep|awk|sed' command to retrieve the VDR/APIVERSION to a single
+  'sed' call.
+- Updated the Swedish OSD texts (thanks to Tomas Prybil).
+- Modified the German OSD texts to be "less technical" (thanks to Andreas Brachold).
+- Extended the version number reported with the '-V' option to also show the
+  current APIVERSION (suggested by Thomas Günther).
+- Fixed handling empty titles in cEvent::FixEpgBugs() (reported by Rolf Ahrenberg).
+- Fixed some missing '-' in the German OSD texts (thanks to Walter Koch).
+- Added an error message about plugins that don't honor APIVERSION in their Makefile
+  (based on a suggestion by Udo Richter).
+- Fixed a format string in recording.c to avoid a compiler warning on 64bit systems
+  (thanks to Christian Wieninger for reporting, and Werner Schweer for pointing out
+  that the 'z' modifier should be used here).
+- Ignoring k_Repeat when deciding whether the same key has been pressed in string
+  input fields (based on a patch from Marko Mäkelä).
diff -ruN vdr-1.3.47/INSTALL vdr-1.3.48/INSTALL
--- vdr-1.3.47/INSTALL	2006-04-16 12:47:23.000000000 +0200
+++ vdr-1.3.48/INSTALL	2006-04-21 16:57:48.000000000 +0200
@@ -64,7 +64,7 @@
 
 Alternatively you can use the '--rcu' or '--lirc' options at runtime.
 These options accept an optional path to the remote control device,
-which's defaults can be set via the RCU_DEVICE and LIRC_DEVICE macros,
+the defaults of which can be set via the RCU_DEVICE and LIRC_DEVICE macros,
 respectively.
 
 If your video directory will be on a VFAT partition, add the compile
@@ -130,7 +130,7 @@
 watchdog timer to restart the program in case something happens that
 causes a program hangup. If you change the command line options for the
 call to the VDR program, be sure to NOT use the '-d' option! Otherwise
-VDR will go into 'deamon' mode and the initial program call will return
+VDR will go into 'daemon' mode and the initial program call will return
 immediately! 'runvdr' needs to be started as user 'root'. Use the '-u'
 option to run the actual 'vdr' program under a different user id.
 
diff -ruN vdr-1.3.47/MANUAL vdr-1.3.48/MANUAL
--- vdr-1.3.47/MANUAL	2006-04-16 12:15:20.000000000 +0200
+++ vdr-1.3.48/MANUAL	2006-04-21 16:57:48.000000000 +0200
@@ -787,7 +787,7 @@
   Zap Timeout = 3        The time (in seconds) until a channel counts as "previous"
                          for switching with '0'
 
-  Inital channel = 0     The number of the channel that shall be tuned to when
+  Initial channel = 0    The number of the channel that shall be tuned to when
                          VDR starts. Default is 0, which means that it will
                          tune to the channel that was on before VDR was stopped.
 
diff -ruN vdr-1.3.47/Makefile vdr-1.3.48/Makefile
--- vdr-1.3.47/Makefile	2006-04-16 11:00:30.000000000 +0200
+++ vdr-1.3.48/Makefile	2006-04-23 11:01:17.000000000 +0200
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 1.87 2006/04/16 09:00:30 kls Exp $
+# $Id: Makefile 1.89 2006/04/23 09:01:17 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -81,8 +81,8 @@
 
 # The version numbers of VDR and the plugin API (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' config.h | awk '{ print $$3 }' | sed -e 's/"//g')
-APIVERSION = $(shell grep 'define APIVERSION ' config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+VDRVERSION = $(shell sed -ne '/define VDRVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' config.h)
+APIVERSION = $(shell sed -ne '/define APIVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' config.h)
 
 ifdef VFAT
 # for people who want their video directory on a VFAT partition
@@ -176,10 +176,17 @@
 
 plugins: include-dir
 	@failed="";\
+	@noapiv="";\
 	for i in `ls $(PLUGINDIR)/src | grep -v '[^a-z0-9]'`; do\
 	    echo "Plugin $$i:";\
+	    if ! grep -q "\$$(LIBDIR)/.*\$$(APIVERSION)" "$(PLUGINDIR)/src/$$i/Makefile" ; then\
+	       echo "ERROR: plugin $$i doesn't honor APIVERSION - not compiled!";\
+	       noapiv="$$noapiv $$i";\
+	       continue;\
+	       fi;\
 	    $(MAKE) -C "$(PLUGINDIR)/src/$$i" all || failed="$$failed $$i";\
 	    done;\
+	if [ -n "$$noapiv" ] ; then echo; echo "*** plugins without APIVERSION:$$noapiv"; echo; fi;\
 	if [ -n "$$failed" ] ; then echo; echo "*** failed plugins:$$failed"; echo; fi
 
 clean-plugins:
diff -ruN vdr-1.3.47/PLUGINS/src/hello/COPYING vdr-1.3.48/PLUGINS/src/hello/COPYING
--- vdr-1.3.47/PLUGINS/src/hello/COPYING	2002-05-09 15:35:35.000000000 +0200
+++ vdr-1.3.48/PLUGINS/src/hello/COPYING	2006-04-21 16:51:21.000000000 +0200
@@ -2,7 +2,7 @@
 		       Version 2, June 1991
 
  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
-                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
@@ -15,7 +15,7 @@
 General Public License applies to most of the Free Software
 Foundation's software and to any other program whose authors commit to
 using it.  (Some other Free Software Foundation software is covered by
-the GNU Library General Public License instead.)  You can apply it to
+the GNU Lesser General Public License instead.)  You can apply it to
 your programs, too.
 
   When we speak of free software, we are referring to freedom, not
@@ -55,7 +55,7 @@
 
   The precise terms and conditions for copying, distribution and
 modification follow.
-
+
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
@@ -110,7 +110,7 @@
     License.  (Exception: if the Program itself is interactive but
     does not normally print such an announcement, your work based on
     the Program is not required to print an announcement.)
-
+
 These requirements apply to the modified work as a whole.  If
 identifiable sections of that work are not derived from the Program,
 and can be reasonably considered independent and separate works in
@@ -168,7 +168,7 @@
 access to copy the source code from the same place counts as
 distribution of the source code, even though third parties are not
 compelled to copy the source along with the object code.
-
+
   4. You may not copy, modify, sublicense, or distribute the Program
 except as expressly provided under this License.  Any attempt
 otherwise to copy, modify, sublicense or distribute the Program is
@@ -225,7 +225,7 @@
 
 This section is intended to make thoroughly clear what is believed to
 be a consequence of the rest of this License.
-
+
   8. If the distribution and/or use of the Program is restricted in
 certain countries either by patents or by copyrighted interfaces, the
 original copyright holder who places the Program under this License
@@ -278,7 +278,7 @@
 POSSIBILITY OF SUCH DAMAGES.
 
 		     END OF TERMS AND CONDITIONS
-
+
 	    How to Apply These Terms to Your New Programs
 
   If you develop a new program, and you want it to be of the greatest
@@ -305,7 +305,7 @@
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
-    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 
 
 Also add information on how to contact you by electronic and paper mail.
@@ -336,5 +336,5 @@
 This General Public License does not permit incorporating your program into
 proprietary programs.  If your program is a subroutine library, you may
 consider it more useful to permit linking proprietary applications with the
-library.  If this is what you want to do, use the GNU Library General
+library.  If this is what you want to do, use the GNU Lesser General
 Public License instead of this License.
diff -ruN vdr-1.3.47/PLUGINS/src/hello/HISTORY vdr-1.3.48/PLUGINS/src/hello/HISTORY
--- vdr-1.3.47/PLUGINS/src/hello/HISTORY	2002-12-13 15:56:27.000000000 +0100
+++ vdr-1.3.48/PLUGINS/src/hello/HISTORY	2006-04-22 11:32:30.000000000 +0200
@@ -45,3 +45,7 @@
 2002-12-13: Version 0.1.0
 
 - Changed setting of CXX and CXXFLAGS variables in Makefile.
+
+2006-04-22: Version 0.1.1
+
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
diff -ruN vdr-1.3.47/PLUGINS/src/hello/Makefile vdr-1.3.48/PLUGINS/src/hello/Makefile
--- vdr-1.3.47/PLUGINS/src/hello/Makefile	2006-04-16 11:03:50.000000000 +0200
+++ vdr-1.3.48/PLUGINS/src/hello/Makefile	2006-04-22 11:59:44.000000000 +0200
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.12 2006/04/16 09:03:50 kls Exp $
+# $Id: Makefile 1.13 2006/04/22 09:59:44 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -30,7 +30,7 @@
 
 ### The version number of VDR's plugin API (taken from VDR's "config.h"):
 
-APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+APIVERSION = $(shell sed -ne '/define APIVERSION/ { s/^.*"\(.*\)".*$$/\1/; p }' $(VDRDIR)/config.h)
 
 ### The name of the distribution archive:
 
diff -ruN vdr-1.3.47/PLUGINS/src/hello/hello.c vdr-1.3.48/PLUGINS/src/hello/hello.c
--- vdr-1.3.47/PLUGINS/src/hello/hello.c	2002-12-13 16:01:43.000000000 +0100
+++ vdr-1.3.48/PLUGINS/src/hello/hello.c	2006-04-22 11:31:52.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: hello.c 1.11 2002/12/13 15:01:43 kls Exp $
+ * $Id: hello.c 1.12 2006/04/22 09:31:52 kls Exp $
  */
 
 #include <getopt.h>
@@ -12,7 +12,7 @@
 #include <vdr/plugin.h>
 #include "i18n.h"
 
-static const char *VERSION        = "0.1.0";
+static const char *VERSION        = "0.1.1";
 static const char *DESCRIPTION    = "A friendly greeting";
 static const char *MAINMENUENTRY  = "Hello";
 
diff -ruN vdr-1.3.47/PLUGINS/src/hello/i18n.c vdr-1.3.48/PLUGINS/src/hello/i18n.c
--- vdr-1.3.47/PLUGINS/src/hello/i18n.c	2006-02-04 11:51:41.000000000 +0100
+++ vdr-1.3.48/PLUGINS/src/hello/i18n.c	2006-04-22 11:30:57.000000000 +0200
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: i18n.c 1.5 2006/02/04 10:51:41 kls Exp $
+ * $Id: i18n.c 1.6 2006/04/22 09:30:57 kls Exp $
  */
 
 #include "i18n.h"
@@ -17,7 +17,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Hei",
     "",// TODO
     "",// TODO
     "",// TODO
@@ -39,7 +39,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Hei maailma!",
     "",// TODO
     "",// TODO
     "",// TODO
@@ -61,7 +61,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Mitä kuuluu?",
     "",// TODO
     "",// TODO
     "",// TODO
@@ -83,7 +83,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Ystävällisin terveisin",
     "",// TODO
     "",// TODO
     "",// TODO
@@ -105,7 +105,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Tervehdysaika (s)",
     "",// TODO
     "",// TODO
     "",// TODO
@@ -127,7 +127,7 @@
     "",// TODO
     "",// TODO
     "",// TODO
-    "",// TODO
+    "Käytä vaihtoehtoista tervehdystä",
     "",// TODO
     "",// TODO
     "",// TODO
